import javax.swing.JOptionPane; ; // program poweres class Scanner

public class BPIH5E7
{
     // main method begins execution of Java application
     
	 
     public static void main( String args[] )
     {            
        String s; 
        double x=Double.parseDouble(JOptionPane.showInputDialog("Enter a real number: ")); // read number
        s="exp("+x+") = "+Math.exp(x);
        JOptionPane.showMessageDialog(null,s,"exponent calculation",JOptionPane.PLAIN_MESSAGE);
     } // end method main
} // end class BPIH4E5
